%define module_name SQLAlchemy

Summary:	SQL toolkit and object relational mapper for Python
Name:		python-sqlalchemy
Version:	0.8.2
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
URL:		http://www.sqlalchemy.org/
Source0:	http://pypi.python.org/packages/source/S/%{module_name}/%{module_name}-%{version}.tar.xz
Patch0: 	sqlalchemy-nose-use-build.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-mock
BuildRequires:	python-devel

%description
%{module_name} is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.
This package includes the python 2 version of the module.

%prep
%setup -q -n %{module_name}-%{version}
%patch0 -p0


%build
CFLAGS="%{optflags}" %{__python} setup.py --with-cextensions build

%install
mkdir -p %{buildroot}%{python_sitelib}
%{__python} setup.py --with-cextensions install --skip-build --root %{buildroot}

# remove unnecessary scripts for building documentation
rm -rf doc/build

%files
%doc README.rst LICENSE PKG-INFO CHANGES doc examples
%{python_sitearch}/*


%changelog
* Sat Aug 10 2013 billybot <billybot> 0.8.2-1pclos2013
- update
